Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277548 - [patch] x11-drivers/nvidia-drivers-180.60 doesn't compile against kernel 2.6.31-rc1
Summary: [patch] x11-drivers/nvidia-drivers-180.60 doesn't compile against kernel 2.6....
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-12 23:25 UTC by Brian Tarricone
Modified: 2009-10-03 20:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nvidia-drivers-180.60-linux-2.6.31.patch (nvidia-drivers-180.60-linux-2.6.31.patch,1.30 KB, patch)
2009-07-12 23:26 UTC, Brian Tarricone
Details | Diff
nvidia-drivers-180.60-linux-2.6.31-ebuild.patch (nvidia-drivers-180.60-linux-2.6.31-ebuild.patch,498 bytes, patch)
2009-07-12 23:26 UTC, Brian Tarricone
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Tarricone 2009-07-12 23:25:31 UTC
As usual, some internal interfaces changed.  Patches to follow...
Comment 1 Brian Tarricone 2009-07-12 23:26:12 UTC
Created attachment 197683 [details, diff]
nvidia-drivers-180.60-linux-2.6.31.patch

Patch for the driver itself.
Comment 2 Brian Tarricone 2009-07-12 23:26:38 UTC
Created attachment 197684 [details, diff]
nvidia-drivers-180.60-linux-2.6.31-ebuild.patch

... and the patch for the ebuild.
Comment 3 Doug Goldstein gentoo-dev 2009-07-14 01:24:06 UTC
NVIDIA and Gentoo, both do not support release candidate kernels.
Comment 4 Brian Tarricone 2009-07-14 02:07:23 UTC
Well, presumably this incompatibility will remain in 2.6.31-final, and I'm sure nvidia won't have a new release ready, so you could at least leave it open till then...

(At least the i2c change will certainly be in 2.6.31, as the struct members removed have been on the kernel feature removal list for a while.)
Comment 5 emdej 2009-10-03 20:27:56 UTC
Why is it "RESOLVED WONTFIX" ??